Name:           polyxmass-bin
Version:        0.9.8
Release:        2%{?dist}
Summary:        The GNU polyxmass software suite

Group:          Applications/Engineering
License:        GPLv2+
# The former URL (polyxmass.org) doesn't exist anymore, the original author switched to Qt and 
# started a new project called massxpert, see http://www.massxpert.org, which should replace
# this package in the future -- filed as BZ#501192.
# The 0.9.8 source file has been downloaded from a debian mirror to fix a FTBFS.
URL:            http://packages.debian.org/stable/science/polyxmass-bin
Source0:        http://ftp.de.debian.org/debian/pool/main/p/polyxmass-bin/polyxmass-bin_0.9.8.orig.tar.gz
Source1:        polyxmass.desktop
Patch0:			polyxmass-compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpolyxmass-devel >= 0.9.0
BuildRequires:  gtk2-devel >= 2.4.10
BuildRequires:  librsvg2-devel >= 2.7.2
BuildRequires:  libgnomecanvas-devel >= 2.6.1
BuildRequires:  libglade2-devel >= 2.4.0
BuildRequires:  atk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  desktop-file-utils

%description
polyxdef is the GNU polyxmass software project's module where the
user makes/modifies polymer chemistry definitions. Those polymer
chemistry definitions are then saved to a disk file under an xml-based
format that will be understandable by other modules in the GNU
polyxmass software suite.

polyxcalc is the GNU polyxmass software project's module where the
user makes simple mass calculations on a number of chemically-relevant
elements.

polyxedit is the GNU polyxmass software project's module where the
user performs tasks on a polymer sequence.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%configure --disable-rpath --disable-static --without-included-gettext
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/polyxmass
%find_lang %{name}

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/polyxmass
%{_mandir}/man1/*
%{_datadir}/polyxmass
%dir %{_sysconfdir}/polyxmass
%{_datadir}/applications/*desktop
%{_datadir}/pixmaps/*
%exclude %{_datadir}/doc/polyxmass-bin

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 17 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.9.8-1
- Fix FTBFS: updated to 0.9.8, added polyxmass-compile.patch (resolves BZ#464997).
- Project and source URL set to Debian, see related comments.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.7-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.7-1
- version upgrade
- new license tag

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.3-2
- FE6 rebuild

* Wed Mar 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.3-1
- version upgrade

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.2-1
- version upgrade

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- Rebuild for Fedora Extras 5

* Wed Jan 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- version upgrade

* Mon Oct 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-4
- add dist

* Sun Oct 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-3
- add icon to desktop file

* Sun Oct 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-2
- add desktop file

* Tue Sep 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-1
- Initial Release
